--- title: "ATI details request" slug: "ati-details-request" tags: ["Reference"] updated: 2026-09-03T18:40:47Z published: 2026-09-03T18:40:47Z canonical: "docs.trellix.com/ati-details-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # ATI details request Retrieves context information for the specified alert. ``` GET https://
/wsapis/[v1.2.0|v2.0.0]/ati///info ``` Headers: ``` X-FeApi-Token: [API-Token] ``` ``` X-FeClient-Token: [Client-Token] ``` Availability This command is available on the following appliances: - Central Management System - Malware Analysis - Email Security — Server - File Protect - Network Security ### Parameters - `address`—The IP address of the appliance running the Web Services API. - `API-Token`—This token authenticates the session. By default, the session times out after 15 minutes of inactivity. - `Client-Token` (Optional)— This client token is provided by Trellix. For more information about the client token, contact your sales representative. - `alert_type`—Specify the alert type using the `alert_type` option: | **Alert Type** | **alert_type** | | --- | --- | | Malware object | `malwareobject` | - *alert_id*—The ID of the alert. ### Example request `GET https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/ati/malwareobject/20460153/info` ### ATI details response ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] [Result Data] ``` ###### Response fields - Response Code—A standard HTML response code. - 200—Request successful. - 401—Request unsuccessful because the session token was incorrect. - 404—Request unsuccessful because the alert ID was incorrect. - Response Message—A standard HTML response message. - OK—Request successful. - Unauthorized—Request unsuccessful because the session token was incorrect. - Not Found—Request unsuccessful because the alert ID was incorrect. - Date—Standard HTML date format. - Results Data—The ATI details. ###### Example ``` HTTP/1.1 200 OK ``` ``` Date: Mon, 15 Jul 2019 09:00:00 GMT ``` ``` [  {    "extracted_from": "NET_FLOW",    "observable_type": "ip-address",    "context_api": {      "id": "ipaddr-characterization--1a92694f-331a-38c7-8715-4f6ed17ddbc3",      "type": "ipaddr-characterization",      "name": "Not_Attributed",      "analysis_conclusion": "indeterminate"    },    "observable_value": "172.16.63.202"  },  {    "extracted_from": "NET_FLOW",    "observable_type": "ip-address",    "context_api": {      "id": "ipaddr-characterization--95f31448-d62d-3471-adc9-0e5ec118ff62",      "type": "ipaddr-characterization",      "name": "Not_Attributed",      "analysis_conclusion": "indeterminate"    },    "observable_value": "172.16.63.222"  } ] ``` ### cURL code sample: retrieving ATI details The following code sample can be copied and executed from any command-line interface that includes the cURL library. ### Note In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool. ``` curl -qgsSk --no-progress-bar --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" --header "Accept: application/json" "https://xxx.xxx.xxx.xxx/wsapis/v2.0.0/ati/malwareobject/20460153/info" ``` This cURL sample includes the following options: - `-q`—This option specifies that the `curlrc` config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option. - `-g`—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option. - `-s`—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option. - `-S`—When used with the `-s` option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option. - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate. - `--no-progress-bar`—This option suppresses the cURL download progress bar, which can interfere with the request. - `--header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This custom header provides the API-Token that was returned during the authentication request. In the authentication cURL code sample, this token was included in the `auth.txt` file. Replace the token value in the code sample with the token value received in the response to your authentication request. ### Note By default, the `X-FeApi-Token` times out after 15 minutes of inactivity. - `--header "Accept: application/json"`—This option specifies that the request is in JSON format. - `https://xxx.xxx.xxx.xxx/wsapis/v2.0.0/ati/malwareobject/20460153/info`—The ATI request URL. Replace the IP address `xxx.xxx.xxx.xxx` with the IP address of your appliance. Replace `malwareobject` with the alert type of interest. Replace `20460153` with the alert ID of interest. ###### Results The context information for the specified alert ID is returned. :